function  rxns_str  = display_rxns( S, mets, rxns )
%[ rxns_str ] = display_rxns( model, <rxns> )
%depricated usage: [ rxns_str ] = display_rxns( S, mets, rxns )
%   Purpose: displays a set of rxns as text (string)
%   Author:  Niels
%   Date:
%   Notes:  model require a stoiciometric matrix S and metabolite names
%   mets.  If lb and ub are provied in model, we will make use of them.  A
%   palsson style model will work here.
%

% check model contains nessiary fields, convert depricated method to model
if ( isstruct( S ) )
    
    model = S;
    rxns = mets;
    
    if ( ~ all( isfield( model, {'S','mets'} ) ) )
        error( 'Error: unknown structure passed in' );
    end
    
elseif ( exist( 'S', 'var' ) && exist( 'mets', 'var' ) )
    
    model.S    = S;
    model.mets = mets;
    
else
    error( 'Error: check usage of function' );
end

% get all rxns if rxns not provided
if ( ~ exist( 'rxns', 'var' ) )
    rxns = 1:size(S,2);
elseif ( ~isvector( rxns ) )
    rxns = [rxns];
end

rxns_str = cell(size(rxns));


for i=1:length(rxns)
   
    rxn = rxns(i);
    rxns_str(i) = display_rxn( model, rxn );
end



