function [ media_sets ] = expand_check_sets( infile )
%[ media_sets ] = expand_check_sets( infile )
%   This Script expands the restricted minimal nutrient set to all possible
%   minimal nutrient sets
%   input:
%       infile -> output file from get_iterative_solution3
%   output: 
%       media_sets
%   Author: Niels
%   Date:   March 18, 2009
%   Notes:  Cleaned up code 10/7/13  - Niels
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% read in all the base sets
test_sets = textread( infile, '', 'delimiter', ',' );

% we assume that the first set in the list is the 'base' MNS
base_media_set = test_sets(1,logical(test_sets(1,:)) );

% make an empty replacement array
base_mets = cell( length( base_media_set ), 1 );
base2pos  = zeros(0,0);

% fill in the trival replacements (ie self)
for i=1:length(base_mets)
    base_mets{i} = { base_media_set(i) };
    base2pos( base_media_set(i) ) = i;
end;
    
for i=2:size( test_sets, 1 )
    test_set = test_sets(i,logical(test_sets(i,:)) );
    
    base_met = setdiff( base_media_set, test_set );
    
    %check every think makes sense.....
    if ( length( base_met ) ~= 1 )
        error( 'Something fishy, we did not get only 1 base met!!');
    end
    
    comp_met = setdiff(  test_set, base_media_set );
    
    cur_num_sets = length( base_mets{base2pos(base_met)} );
    
    base_mets{base2pos(base_met)}{cur_num_sets + 1} = comp_met; 
end
    

for i=1:size(base_mets,1)
    fprintf( '%d: %d\n', base_mets{i}{1}, length(base_mets{i}(:)) );
end

media_sets = permut_loop( base_mets );

end
%   for j=1:length(base_mets{i})
%       [i, base_mets{i}{j}]
%   end
% end

% MB_array = set_list_2_MB_int_array( base_mets );
% number_sets = max_value_MB(  MB_array )
% 
% media_sets = cell(number_sets,1);
% 
% 
% for i = 1:( number_sets  ) 
%     
%     i_array = int_2_MB( i - 1, MB_array );
%     
%     temp_set = [];
%     
%     for j=1:length( base_mets )
%       
%         mets2add = base_mets{j}{i_array(j) + 1};
%         
%         temp_set = union( temp_set, mets2add );
%       
%     end
%     
%     media_sets{i} = temp_set;
%     
% end
% 
% end
