function [ rxn_cols ] = find_ex_rxn( model, query )
%usage: [rxn_cols] = find_ex_met( model, query )
%   Finds the exchange reaction involving the rex-ex instances of the query 
%    metabolite in model
%   returns a list of reaction columns in which query was found
%   Auther:  Niels
%   Date:    Dec 16 2009
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

[m,n] = size( model.S );

% first find rows the met is found in 
met_rows = [];
list = model.mets;
query = ['^', query];

for i=1:m

    if ( regexp( list{i}, query )  )
        met_rows = union( met_rows, i);
    end

end

% now we find the columns the met is found in 
rxn_cols = [];

for i=1:n
    if ( any( model.S(met_rows,i) ) && sum( logical( model.S(:,i) )) == 1 )
        rxn_cols = union( rxn_cols, i );
    end
end
