function  write_list( list, filename, delimiter )
%write_list( list, filename, [delimiter] )
%   Description: writes a list to a file;
%   %   Input:
%       list      -> matrix of values to write to file
%       filename  -> file name to output too
%       delimiter -> delimiter to sperate feild by (default = ',')
%   Output:
%       nothing
%   Auther: Niels
%   Date:  Early Feb 2009
%   Notes:
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%set default delimiter if not provied
if ( ~exist( 'delimiter', 'var' ) ||  isempty( delimiter ) )
    delimiter = ',';
end

list_file = fopen( filename, 'w');

for i=1:size(list,1)
    line_str = '';

    list_line = list(i,:);

    if ( iscell( list_line ) )
        list_line = list{i};
    end

    for j=1:length(list_line)
        
    
        line_item = list_line(j);
        
        if ( iscell( line_item ) )
            line_item = line_item{1};
        end
        
        if ( isnumeric( line_item ) )
            line_item = num2str( line_item );
        end

        if( j > 1 )
            line_str = [ line_str delimiter line_item ];
        else
            line_str = line_item;
        end
        
    end
    fprintf( list_file, [ line_str '\n' ] );
end

fclose( list_file ); 
end
